Bug 742999 - [RFE] - Enhance corosync rrp
Summary: [RFE] - Enhance corosync rrp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.2
Hardware: All
OS: Linux
high
low
Target Milestone: rc
: 6.3
Assignee: Jan Friesse
QA Contact: cluster-qe@redhat.com
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks: 749669 1208151
TreeView+ depends on / blocked
 
Reported: 2011-10-03 14:40 UTC by Jan Friesse
Modified: 2015-07-22 07:24 UTC (History)
4 users (show)

Fixed In Version: corosync-1.4.7-2.el6
Doc Type: Enhancement
Doc Text:
corosync now tests for correct network interface configuration in RRP mode RRP does not work when the IP address/port number pairs are the same or the IP versions are mixed. Corosync now checks whether the network interfaces have a different IP address/port number pair and whether they use the same IP version.
Clone Of:
: 1208151 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:24:47 UTC


Attachments (Terms of Use)
config: Make sure user doesn't mix IPv6 and IPv4 (1.75 KB, patch)
2014-11-18 14:58 UTC, Jan Friesse
no flags Details | Diff
config: Process broadcast option consistently (2.22 KB, patch)
2014-11-18 14:58 UTC, Jan Friesse
no flags Details | Diff
config: Ensure mcast address/port differs for rrp (2.48 KB, patch)
2014-11-18 14:59 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1389 normal SHIPPED_LIVE corosync bug fix and enhancement update 2015-07-20 17:58:11 UTC

Description Jan Friesse 2011-10-03 14:40:49 UTC
Description of problem:
Corosync RRP in 6.2 has few sharp edges

Todo:

- Check that user doesn't entered same mcast address
- Check that user doesn't mix ipv6 and ipv4
- Handle (somehow) two interfaces on same subnet

Comment 3 RHEL Product and Program Management 2012-07-10 06:00:58 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 RHEL Product and Program Management 2012-07-10 23:10:14 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 6 Jan Friesse 2013-04-25 15:14:39 UTC
- Document (man page) that user should not use same mcast addr for rrp

Comment 9 Jan Friesse 2014-11-18 14:58:48 UTC
Created attachment 958614 [details]
config: Make sure user doesn't mix IPv6 and IPv4

config: Make sure user doesn't mix IPv6 and IPv4

Checking code was there, sadly not correct, so it was possible to enter
one bindnet addr as IPv4 and second as IPv6. Fix is trivial.

Signed-off-by: Jan Friesse <jfriesse@redhat.com>
Reviewed-by: Christine Caulfield <ccaulfie@redhat.com>

Comment 10 Jan Friesse 2014-11-18 14:58:53 UTC
Created attachment 958615 [details]
config: Process broadcast option consistently

config: Process broadcast option consistently

Broadcast option is global but in config set in interface section. When
more interfaces are defined, only broadcast from last section was used.

Solution is to use broadcast whenever at least one interface use
broadcast.

Signed-off-by: Jan Friesse <jfriesse@redhat.com>
Reviewed-by: Christine Caulfield <ccaulfie@redhat.com>

Comment 11 Jan Friesse 2014-11-18 14:59:04 UTC
Created attachment 958616 [details]
config: Ensure mcast address/port differs for rrp

config: Ensure mcast address/port differs for rrp

When using multiple interfaces, it's necessary to use different
multicast address/port pair for each interface to make
rrp work correctly. This is now checked in parser.

Signed-off-by: Jan Friesse <jfriesse@redhat.com>
Reviewed-by: Christine Caulfield <ccaulfie@redhat.com>

Comment 13 Jan Pokorný [poki] 2014-12-05 21:37:33 UTC
As discussed, please consider documenting, in cluster.conf(5),
the restrictions and silent implications of using broadcast:

- only makes sense with udp transport
- if used on a ring, it will be applied to all the rings (true?)

etc.

These pieces of information are missing also in needle major version.

Comment 18 errata-xmlrpc 2015-07-22 07:24:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1389.html


Note You need to log in before you can comment on or make changes to this bug.